# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.media
Class MediaStreamSource

    java.lang.Object
      com.google.gdata.data.media.BaseMediaSource
          com.google.gdata.data.media.MediaStreamSource

All Implemented Interfaces:
  MediaSource, javax.activation.DataSource

    public class MediaStreamSource

extends BaseMediaSource

The MediaStreamSource class provides a basic implementation of the `MediaSource` interface that reads media data from an existing `InputStream`.

See Also:
  `MediaSource`

Nested Class Summary

Nested classes/interfaces inherited from interface com.google.gdata.data.media.MediaSource
`MediaSource.Output`

Field Summary

Fields inherited from class com.google.gdata.data.media.BaseMediaSource
`contentLength, etag, lastModified, mediaType, name`

Constructor Summary
`MediaStreamSource(java.io.InputStream mediaStream, java.lang.String mediaType)`
`MediaStreamSource(java.io.InputStream mediaStream, java.lang.String mediaType, DateTime lastModified, long contentLength)`

Method Summary
`java.io.InputStream` `getInputStream()`
`java.io.OutputStream` `getOutputStream()`

Methods inherited from class com.google.gdata.data.media.BaseMediaSource
`getContentLength, getContentType, getEtag, getLastModified, getName, setContentLength, setEtag, setLastModified, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MediaStreamSource

    public MediaStreamSource(java.io.InputStream mediaStream,
                             java.lang.String mediaType,
                             DateTime lastModified,
                             long contentLength)

### MediaStreamSource

    public MediaStreamSource(java.io.InputStream mediaStream,
                             java.lang.String mediaType)

Method Detail

### getInputStream

    public java.io.InputStream getInputStream()

### getOutputStream

    public java.io.OutputStream getOutputStream()